## CamelVeeSummary CamelVeeSummary |

## Synopsis

                        CamelVeeSummary;
                        CamelVeeMessageInfo;
    CamelFolderSummary * camel_vee_summary_new              (struct _CamelFolder *parent);
    CamelVeeMessageInfo * camel_vee_summary_add             (CamelVeeSummary *s,
                                                             CamelFolderSummary *summary,
                                                             const gchar *uid,
                                                             const gchar hash[8]);
    GPtrArray *         camel_vee_summary_get_ids           (CamelVeeSummary *summary,
                                                             gchar hash[8]);
    void                camel_vee_summary_load_check_unread_vfolder
                                                            (CamelVeeSummary *vs);

## Description

## Details

### CamelVeeSummary

    typedef struct {
    	CamelFolderSummary summary;
    	gboolean force_counts;
    	guint32 fake_visible_count;
    } CamelVeeSummary;

### CamelVeeMessageInfo

    typedef struct {
    	CamelMessageInfo info;
    	CamelFolderSummary *summary;
    	guint32 old_flags;  /* These are just for identifying changed flags */
    } CamelVeeMessageInfo;

### camel_vee_summary_new ()

    CamelFolderSummary * camel_vee_summary_new              (struct _CamelFolder *parent);

This will create a new CamelVeeSummary object and read in the summary data from disk, if it exists.

`parent` : | Folder its attached to.
Returns : | A new CamelVeeSummary object.

### camel_vee_summary_add ()

    CamelVeeMessageInfo * camel_vee_summary_add             (CamelVeeSummary *s,
                                                             CamelFolderSummary *summary,
                                                             const gchar *uid,
                                                             const gchar hash[8]);

`s` : |
`summary` : |
`uid` : |
`hash` : |
Returns : |

### camel_vee_summary_get_ids ()

    GPtrArray *         camel_vee_summary_get_ids           (CamelVeeSummary *summary,
                                                             gchar hash[8]);

`summary` : |
`hash` : |
Returns : |

Since 2.24

### camel_vee_summary_load_check_unread_vfolder ()

    void                camel_vee_summary_load_check_unread_vfolder
                                                            (CamelVeeSummary *vs);

`vs` : |

Since 2.26